用户
搜索

该用户从未签到

i春秋-呆萌菜鸟

Rank: 1

0

主题

0

帖子

8

魔法币
收听
0
粉丝
0
注册时间
2019-10-28
发表于 2021-5-22 22:30:36 03113
本帖最后由 手机用户09CvbG 于 2021-5-22 22:31 编辑

weblogic 10.3.6 漏洞复现

WebLogic XMLDecoder反序列化漏洞(CVE-2017-10271)

Weblogic的WLS Security组件对外提供webservice服务,其中使用了XMLDecoder来解析用户传入的XML数据,在解析的过程中出现反序列化漏洞,导致可执行任意命令。


漏洞环境

我们先下载环境,在github有别人直接搭建好的docker环境我们直接拿来用即可

git clone git://github.com/vulhub/vulhub.git
cd vulhub/weblogic/CVE-2017-10271/
docker-compose up -d

访问7001端口即可看到一个404页面,说明weblogic搭建成功。


影响版本

weblogic 版本:
10.3.6.0.0
12.2.1.1.0
12.2.1.2.0
12.1.3.0.0


漏洞复现

我们访问/wls-wsat/CoordinatorPortType出现如下图可以证明漏洞存在

构造POST包进行测试,写入一个后门

访问EDI.jsp,漏洞验证成功

发新帖
您需要登录后才可以回帖 登录 | 立即注册